Package org.codehaus.groovy.transform.stc

# Class AbstractExtensionMethodCache

java.lang.Object
org.codehaus.groovy.transform.stc.AbstractExtensionMethodCache

Direct Known Subclasses:
  `ExtensionMethodCache`

public abstract class AbstractExtensionMethodCache extends Object

Since:
  3.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractExtensionMethodCache()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract void`
  `addAdditionalClassesToScan(Set<Class> instanceExtClasses, Set<Class> staticExtClasses)`
  `Map<String,List<MethodNode>>`
  `get(ClassLoader loader)`
  `protected abstract String`
  `getDisablePropertyName()`
  `protected abstract Predicate<MethodNode>`
  `getMethodFilter()`
  `protected abstract Function<MethodNode,String>`
  `getMethodMapper()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractExtensionMethodCache

    public AbstractExtensionMethodCache()

- ## Method Details

  - ### get

    public Map<String,List<MethodNode>> get(ClassLoader loader)

  - ### addAdditionalClassesToScan

    protected abstract void addAdditionalClassesToScan(Set<Class> instanceExtClasses, Set<Class> staticExtClasses)

  - ### getDisablePropertyName

    protected abstract String getDisablePropertyName()

  - ### getMethodFilter

    protected abstract Predicate<MethodNode> getMethodFilter()

  - ### getMethodMapper

    protected abstract Function<MethodNode,String> getMethodMapper()